PDA

View Full Version : [solved] Ext.ux.CodeEditor - updated



alloftheabove
16 Aug 2008, 7:54 PM
So...I'm back, and I'm having more problems. I'm trying to code a code highlighting multi editor, based on this: http://www.cdolivet.net/editarea/editarea/exemples/exemple_full.html.

EDIT: I have removed the code, as having uploaded an entire zipped file with what is needed to work out the bugs makes putting code in this post irrelevant.

I'm working on the syntax select, specifically the icon bullets. It's supposed to be that when you click on one of the syntax menu.Items the iconCls will change to 'icon-bullet-yellow' ( to indicate that mode is selected ). However, somehow, I got it to only select the last menu.Item no matter what. Lol. I have two screenies, the first one shows the whole CodeEditor with syntaxMenu expanded, the only change in the second one is the icon change. Maybe someone has some idea what I've done?

EDIT: As shown in my second post in this thread, I have uploaded a zipped file folder that should contain all the files necessary for it to work. The name of the file is Ext.ux.CodeEditor.zip: http://www.mediafire.com/?sharekey=4bc66152205ae6dcd2db6fb9a8902bda http://www.mediafire.com/?wcek5z4v9qo

Also, when you look at the html source, you might notice a meta tag containing the http-equiv "X-UA-Compatible". This is a special meta tag that only IE8 will recognize, as the content is "IE8=EmulateIE7". This is an IE8 setup for backwards compatibility with the rendering engine. The content tells it to use the IE7 rendering engine. This is necessary for the eventual end product of this project. Reason: Doing it the way I am requires use of the opacity declaration, for the code highlighting. Which is not going to be implemented for a while lol. And if anyone asks, yes, I do realize that IE8 is only in beta mode. I just feel that it's good to start using it now rather than later. That reminds me, I gotta update my site pages with that too.

And I ended up uploading the latest prototype.js library by accident, I forgot that it's not using the prototype base. So I have reuploaded it, see above. I have 'struck through' the now incorrect download url.

Well, I figured it out! So this problem all gone!

In fact, now that I have fixed the problem I was having when I created this thread, I can get to working on code validation, which will start out as only html 4 transitional and strict, and xhtml transitional and strict. See you guys when I hit my next roadblock, or when it's ready for initial testing, whichever comes first.

mjlecomte
16 Aug 2008, 8:18 PM
I would suggest you post or attach a working / complete example code that someone can drop into X directory on local computer to see what's going on. Basically something with the html, etc. That, or post a url to view what's going on.

alloftheabove
16 Aug 2008, 8:54 PM
All right, I set up everything that should be needed and nothing more. Unfortunately, it's a little more than twice the size of the forum upload limit for zip files, so I uploaded it to MediaFire. Here's the link: http://www.mediafire.com/?sharekey=4bc66152205ae6dcd2db6fb9a8902bda

That should do it for the files and such. So let me know if you guys need anything else. Explanations, reupload, etc.

EDIT: The file name is Ext.ux.CodeEditor.zip

alloftheabove
17 Aug 2008, 11:38 AM
I need to bump. ~o)

alloftheabove
17 Aug 2008, 7:12 PM
I fixed it myself! See the above post.

SOLVED! WOOT.